MyGUI: MyGUI::FileLogListener Class Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::FileLogListener Class Reference

`#include <MyGUI_FileLogListener.h>`

Inheritance diagram for MyGUI::FileLogListener:
[legend]

## Public Member Functions
| FileLogListener ()
virtual | ~FileLogListener ()
virtual void | open ()
virtual void | close ()
virtual void | flush ()
virtual void | log (const std::string &_section, LogLevel _level, const struct tm *_time, const std::string &_message, const char *_file, int _line)
void | setFileName (const std::string &_value)
const std::string & | getFileName () const
Public Member Functions inherited from MyGUI::ILogListener
virtual | ~ILogListener ()

## Detailed Description

Definition at line 18 of file MyGUI_FileLogListener.h.

## Constructor & Destructor Documentation

## ◆ FileLogListener()

MyGUI::FileLogListener::FileLogListener | ( |  | ) |

Definition at line 15 of file MyGUI_FileLogListener.cpp.

## ◆ ~FileLogListener()

MyGUI::FileLogListener::~FileLogListener | ( |  | ) |
| virtual

Definition at line 19 of file MyGUI_FileLogListener.cpp.

## Member Function Documentation

## ◆ close()

void MyGUI::FileLogListener::close | ( |  | ) |
| virtual

Opens log listener. (for example close file)

Reimplemented from MyGUI::ILogListener.

Definition at line 45 of file MyGUI_FileLogListener.cpp.

## ◆ flush()

void MyGUI::FileLogListener::flush | ( |  | ) |
| virtual

Flush log listener messages.

Reimplemented from MyGUI::ILogListener.

Definition at line 51 of file MyGUI_FileLogListener.cpp.

## ◆ getFileName()

const std::string & MyGUI::FileLogListener::getFileName | ( |  | ) | const

Get listener's file name where it wirte log.

Definition at line 75 of file MyGUI_FileLogListener.cpp.

## ◆ log()

void MyGUI::FileLogListener::log | ( | const std::string & | _section,
|  | LogLevel | _level,
|  | const struct tm * | _time,
|  | const std::string & | _message,
|  | const char * | _file,
|  | int | _line
| ) |  |
| virtual

Log message.

Reimplemented from MyGUI::ILogListener.

Definition at line 57 of file MyGUI_FileLogListener.cpp.

## ◆ open()

void MyGUI::FileLogListener::open | ( |  | ) |
| virtual

Opens log listener. (for example open file)

Reimplemented from MyGUI::ILogListener.

Definition at line 23 of file MyGUI_FileLogListener.cpp.

## ◆ setFileName()

void MyGUI::FileLogListener::setFileName | ( | const std::string & | _value | ) |

Set listener's file name where it wirte log.

Definition at line 70 of file MyGUI_FileLogListener.cpp.

The documentation for this class was generated from the following files:

- MyGUI_FileLogListener.h
- MyGUI_FileLogListener.cpp